import React, { useState, useEffect } from "react";
import { Checkbox } from "antd";

import Header from "./Header";
import Footer from "./Footer";

import "../styles/library.css";
import "../styles/Search.css";

export const Search = () => {
  const [searchTracks, setSearchTracks] = useState(false);
  const [searchPlaylists, setSearchPlaylists] = useState(false);

  function onChange(e) {
    console.log(`checked = ${e.target.checked}`);
  }
  return (
    <>
      <Header />
      <div className="main">
        <div className="search">
          <div>
            <label htmlFor="search-field">Search</label>
            <input type="text" id="search-field" placeholder="Enter the name" />
            <button>Search</button>
          </div>
          <div className="search-filters">
            <div>
              <div className="checkbox">
                <Checkbox onChange={onChange}>Checkbox</Checkbox>
                <div>
                  <input
                    className="checkbox-input"
                    type="checkbox"
                    id="search-playlists"
                    onChange={(e) => console.log(e.target.checked)}
                  />
                  <label htmlFor="search-playlists">Search in playlists</label>
                </div>
                <div>
                  <input
                    className="checkbox-input"
                    type="checkbox"
                    id="search-tracks"
                  />
                  <label htmlFor="search-tracks">Search in tracks</label>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <Footer />
    </>
  );
};

export default Search;
